API Reference (2.0)Admin API

Update mail settings

PUT/api/admin/settings/mail

Updates SMTP mail settings and restarts queued workers so they reload configuration.

AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/admin/settings/mail" \  -H "Content-Type: application/json" \  -d '{}'
Empty